Subject: Re: linux-next: build failure after merge of the pci-current tree

From: Jesse Barnes <[email-masked]>
Date: Thu, 3 Nov 2011 08:02:37 -0700

On Thu, 3 Nov 2011 16:19:59 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> On Thu, 3 Nov 2011 14:32:56 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Thu, 3 Nov 2011 12:53:25 +1100 Stephen Rothwell <[email-masked]> wrote:
> > >
> > > After merging the pci-current tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > > 
> > > drivers/pci/ats.c:13:26: fatal error: linux/export.h: No such file or directory
> > > 
> > > Caused by commit 571eba1b8aa9 ("PCI: Fix compile errors with PCI_ATS and !
> > > PCI_IOV").
> > 
> > I have added that patch as a merge fix where I merge the module.h split
> > up tree.  (Included below for Paul's benefit.)
> 
> Actually, this was already in the moduleh tree.  Sorry for the noise.

Ok I'll drop it from my tree then.

Thanks,
-- 
Jesse Barnes, Intel Open Source Technology Center